Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1260313 (ganv) - Review Request: ganv - An interactive GTK Widget for "boxes and lines"
Summary: Review Request: ganv - An interactive GTK Widget for "boxes and lines"
Keywords:
Status: NEW
Alias: ganv
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: synthclone
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-05 22:38 UTC by Brian Monroe
Modified: 2016-08-21 08:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Patch that fixes many spec-file issues (deleted)
2015-09-07 08:25 UTC, Jens Lody
no flags Details | Diff

Description Brian Monroe 2015-09-05 22:38:10 UTC
==Links==
Spec File: https://paradoxguitarist.fedorapeople.org/ganv.spec
SRPM: https://paradoxguitarist.fedorapeople.org/synthclone-0.3.0-3.fc22.src.rpm
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10967268

==Description==
Ganv is an interactive Gtk canvas widget for graph-based interfaces (patch bays,
modular synthesizers, finite state automation, interactive graphs, etc). Ganv
provides classes for "Modules" (boxes with "Ports"), Circles, and Edges (lines
that connect either Ports or Circles).  The user can rearrange items, or Ganv
can automatically arrange items using GraphViz.  Edges can be made by the user
one at a time with the mouse, or in groups using the mouse and keyboard.

==Extra Info==
My first package hasn't been approved yet, but I'll add it as a blocker. The purpose for packaging this is to ultimately package patchage, a requested package for the Fedora Jam spin. Patchage requires ganv to build/run, so I'm packaging this one first.

Comment 1 Kevin Kofler 2015-09-06 21:59:01 UTC
The SRPM link is wrong, and it also looks like you have the bug dependencies backwards, if you intended to make this bug depend on your previous one for which you hope to get sponsored.

Comment 2 Brian Monroe 2015-09-06 22:42:24 UTC
Dang it! I thought I had looked over all of this. 

The spec file is https://paradoxguitarist.fedorapeople.org/ganv-1.4.2-1.fc22.src.rpm

Comment 3 Brian Monroe 2015-09-06 22:42:54 UTC
I meant SRPM, that's what was missing.

Comment 4 Jens Lody 2015-09-07 08:25:22 UTC
Created attachment 1070858 [details]
Patch that fixes many spec-file issues

You should run fedora-review on your package(s) before asking for review:

<snip>
Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Header files in -devel subpackage, if present.
  Note: ganv-lib : /usr/include/ganv-1/ganv/box.h ganv-lib :
  /usr/include/ganv-1/ganv/canvas.h ganv-lib :
  /usr/include/ganv-1/ganv/circle.h ganv-lib :
  /usr/include/ganv-1/ganv/edge.h ganv-lib :
  /usr/include/ganv-1/ganv/ganv.h ganv-lib :
  /usr/include/ganv-1/ganv/group.h ganv-lib :
  /usr/include/ganv-1/ganv/item.h ganv-lib :
  /usr/include/ganv-1/ganv/module.h ganv-lib :
  /usr/include/ganv-1/ganv/node.h ganv-lib :
  /usr/include/ganv-1/ganv/port.h ganv-lib :
  /usr/include/ganv-1/ganv/text.h ganv-lib :
  /usr/include/ganv-1/ganv/types.h ganv-lib :
  /usr/include/ganv-1/ganv/widget.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
</snip>

<snip>
Rpmlint
-------
Checking: ganv-1.4.2-1.fc24.x86_64.rpm
          ganv-lib-1.4.2-1.fc24.x86_64.rpm
          ganv-1.4.2-1.fc24.src.rpm
ganv.x86_64: E: explicit-lib-dependency ganv-lib
ganv.x86_64: E: standard-dir-owned-by-package /usr/bin
ganv.x86_64: W: no-manual-page-for-binary ganv_bench
ganv-lib.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
ganv-lib.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
ganv-lib.x86_64: W: no-documentation
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/module.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/ganv.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libganv-1.so
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/node.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/port.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/types.hpp
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/text.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/wrap.hpp
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/widget.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/group.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/Box.hpp
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/item.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/types.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/Port.hpp
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/Canvas.hpp
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/Node.hpp
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/box.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/Edge.hpp
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/ganv.hpp
ganv-lib.x86_64: E: standard-dir-owned-by-package /usr/lib64
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/edge.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/Circle.hpp
ganv-lib.x86_64: E: standard-dir-owned-by-package /usr/include
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/circle.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/Item.hpp
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/ganv-1.pc
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/canvas.h
ganv-lib.x86_64: W: devel-file-in-non-devel-package /usr/include/ganv-1/ganv/Module.hpp
3 packages and 0 specfiles checked; 4 errors, 30 warnings.
</snip>

I attach a patch that fixes most of these issues (at least the packaging issues).
There are still rpmlint error/warnings:
<snip>
Rpmlint
-------
Checking: ganv-1.4.2-1.fc24.x86_64.rpm
          ganv-lib-1.4.2-1.fc24.x86_64.rpm
          ganv-devel-1.4.2-1.fc24.x86_64.rpm
          ganv-1.4.2-1.fc24.src.rpm
ganv.x86_64: W: no-manual-page-for-binary ganv_bench
ganv-lib.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
ganv-lib.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
ganv-lib.x86_64: W: no-documentation
ganv-devel.x86_64: W: only-non-binary-in-usr-lib
ganv-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: ganv-debuginfo-1.4.2-1.fc24.x86_64.rpm
ganv-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
ganv-debuginfo.x86_64: E: debuginfo-without-sources
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libgtkmm-2.4.so.1
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libatkmm-1.6.so.1
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libgdkmm-2.4.so.1
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libgiomm-2.4.so.1
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libpangomm-1.4.so.1
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libglibmm-2.4.so.1
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libcairomm-1.0.so.1
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libatk-1.0.so.0
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libgdk_pixbuf-2.0.so.0
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libgio-2.0.so.0
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libpangoft2-1.0.so.0
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libfontconfig.so.1
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libfreetype.so.6
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libcdt.so.5
ganv-lib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libganv-1.so.1.4.2 /lib64/libpthread.so.0
ganv-lib.x86_64: W: no-documentation
ganv.x86_64: W: invalid-url URL: http://drobilla.net/software/ganv ''
ganv.x86_64: W: no-manual-page-for-binary ganv_bench
ganv-devel.x86_64: W: only-non-binary-in-usr-lib
ganv-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 20 warnings.
</snip>

I have no time to look into these deeper at the moment (at work currently).

Comment 5 Brian Monroe 2015-09-07 18:05:42 UTC
Thanks Jens, 

I saw those sections on headers and libs files, but didn't fully understand it. I'll go through the fedora-review and fix all the issues.

Comment 6 Upstream Release Monitoring 2015-12-03 16:03:55 UTC
pbrobinson's scratch build of gtk-sharp-beans?#bbba0aef7a4bd673006df5b9a85a5763d9c026bc for epel7-archbootstrap and git://pkgs.fedoraproject.org/gtk-sharp-beans?#bbba0aef7a4bd673006df5b9a85a5763d9c026bc failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12037959

Comment 7 Upstream Release Monitoring 2015-12-03 16:06:12 UTC
pbrobinson's scratch build of gtk-murrine-engine?#b4bddbf235c281d671c99e8008f609b6d4e314d0 for epel7-archbootstrap and git://pkgs.fedoraproject.org/gtk-murrine-engine?#b4bddbf235c281d671c99e8008f609b6d4e314d0 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12037955


Note You need to log in before you can comment on or make changes to this bug.